Hermos API

List Plans

Lists plans ordered by id in the selected company and mode. Optional product accepts an ID or handle.

GET/plans

Lists plans ordered by id in the selected company and mode. Optional product accepts an ID or handle.

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

product?string
Length1 <= length

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/plans"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "livemode": true,      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",      "reference": "string",      "name": "string",      "role": "base",      "status": "draft",      "entitlement_features": {        "property1": {          "type": "flag"        },        "property2": {          "type": "flag"        }      },      "default_trial_days": 0,      "tax_code": "string",      "legacy": true,      "archived_at": "2019-08-24T14:15:22Z",      "archived_by": {        "actor_type": "string",        "principal_id": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}